Bug 314 - 'smbclient -L' blue screens a Win98 blue screens in user-level access control (samba DC)
'smbclient -L' blue screens a Win98 blue screens in user-level access control...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.0preX
Other other
: P1 normal
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-18 10:26 UTC by Gerald (Jerry) Carter
Modified: 2005-08-24 10:19 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald (Jerry) Carter 2003-08-18 10:26:03 UTC
[comments from jerry@samba.org: 100% reproducible]

But the blue screen still appears everytime I connect 
to this machine ("fatal exception at 0028:C0004D3F in 
VXD VMM(01)+00003D3F ...").

It also happens only if the authentication is 
succesfull.

This problem disappears if win98 is switched back to 
share-level access control.

I've attached a level 10 debug log of smbd. It covers 
the time beginning at the execution of `smbclient -L 
win98mach -Uuser%pass` until the blue-screen appears.
Comment 1 Gerald (Jerry) Carter 2003-08-18 21:17:49 UTC
Fixed checked into cvs tree.  Please test.
Comment 2 Dariush Forouher 2003-08-19 00:03:54 UTC
Yep, user-level access control works now smoothly (tested with win98se).

thanks for your trouble
Dariush
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:06:01 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:19:41 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.